com.io7m.r2.filters

## Class R2FilterDebugEyePositionParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2FilterDebugEyePositionParameters.Builder

- Enclosing class:
    R2FilterDebugEyePositionParameters

      public static final class R2FilterDebugEyePositionParameters.Builder
      extends Object

  Builds instances of type `R2FilterDebugEyePositionParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2FilterDebugEyePositionParameters` | `build()` Builds a new `R2FilterDebugEyePositionParameters`.
    `R2FilterDebugEyePositionParameters.Builder` | `from(R2FilterDebugEyePositionParametersType instance)` Fill a builder with attribute values from the provided `R2FilterDebugEyePositionParametersType` instance.
    `R2FilterDebugEyePositionParameters.Builder` | `setEyePositionBuffer(R2EyePositionBufferUsableType eyePositionBuffer)` Initializes the value for the `eyePositionBuffer` attribute.
    `R2FilterDebugEyePositionParameters.Builder` | `setGeometryBuffer(R2GeometryBufferUsableType geometryBuffer)` Initializes the value for the `geometryBuffer` attribute.
    `R2FilterDebugEyePositionParameters.Builder` | `setObserverValues(R2MatricesObserverType observerValues)` Initializes the value for the `observerValues` attribute.
    `R2FilterDebugEyePositionParameters.Builder` | `setTextureDefaults(R2TextureDefaultsType textureDefaults)` Initializes the value for the `textureDefaults` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2FilterDebugEyePositionParameters.Builder from(R2FilterDebugEyePositionParametersType instance)

      Fill a builder with attribute values from the provided `R2FilterDebugEyePositionParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setGeometryBuffer

          public final R2FilterDebugEyePositionParameters.Builder setGeometryBuffer(R2GeometryBufferUsableType geometryBuffer)

      Initializes the value for the `geometryBuffer` attribute.
      Parameters:
        `geometryBuffer` - The value for geometryBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setEyePositionBuffer

          public final R2FilterDebugEyePositionParameters.Builder setEyePositionBuffer(R2EyePositionBufferUsableType eyePositionBuffer)

      Initializes the value for the `eyePositionBuffer` attribute.
      Parameters:
        `eyePositionBuffer` - The value for eyePositionBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setObserverValues

          public final R2FilterDebugEyePositionParameters.Builder setObserverValues(R2MatricesObserverType observerValues)

      Initializes the value for the `observerValues` attribute.
      Parameters:
        `observerValues` - The value for observerValues
      Returns:
        `this` builder for use in a chained invocation

    - #### setTextureDefaults

          public final R2FilterDebugEyePositionParameters.Builder setTextureDefaults(R2TextureDefaultsType textureDefaults)

      Initializes the value for the `textureDefaults` attribute.
      Parameters:
        `textureDefaults` - The value for textureDefaults
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2FilterDebugEyePositionParameters build()

      Builds a new `R2FilterDebugEyePositionParameters`.
      Returns:
        An immutable instance of R2FilterDebugEyePositionParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com